TORRUS_GENREPORT(8)

NAME
genreport - Generate the Usage Report

SYNOPSIS
torrus genreport --report=ReportName --date=YYYY-MM-DD [options...] torrus genreport --genhtml [options...]

DESCRIPTION
When the Torrus Reporting engine is set up, this command is used to generate the reports from the collected data. See Torrus Reporting Setup Guide for more information.

OPTIONS

--report=ReportName
    The name of the report that is to be generated. Currently supported: "MonthlyUsage".

--date=YYYY-MM-DD
    Specifies the start date of the reported period. For the monthly report, this should be any day within the calendar month.

--time=hh:mm
    Specifies the start time of the reported period. This option is ignored for the monthly reports.

--genhtml
    Instructs the report engine to build the HTML output from the generated reports.

--tree=TREE
    When used with "--genhtml", generates the HTML reports only for the specified tree.

--all2tree=TREE
    When used with "--genhtml", generates the HTML reports only for all available service IDs in the specified tree.

--verbose
    Prints extra informatgion.

--debug
    Prints debugging information.

SEE ALSO
torrus(8)

NOTES
See more documentation at Torrus home page: http://torrus.org

AUTHOR
Stanislav Sinyagin <ssinyagin@k-open.com>